﻿using UnityEngine;

public class Bullet : MonoBehaviour
{
	Rigidbody2D myRigidbody2D;
	public float speed = 1f;
	public float direction = 1f;

	void Start ()
	{
		myRigidbody2D = GetComponent<Rigidbody2D> ();
		Destroy (gameObject, 3f/*sec*/);
	}

	void FixedUpdate ()
	{
		myRigidbody2D.velocity = new Vector2 (speed * direction, 0f);
	}

	void OnTriggerEnter2D (Collider2D other)
	{
		if (other.CompareTag ("Enemy")) {
			Destroy ((other.gameObject));
		}

		// 弾丸削除
		Destroy (gameObject);
	}
}
